org.apache.ode.bpel.compiler

## Class BpelCompiler20

- java.lang.Object
- - org.apache.ode.bpel.compiler.BpelCompiler
  - - org.apache.ode.bpel.compiler.BpelCompiler20

- All Implemented Interfaces:
    CompilerContext

      public class BpelCompiler20
      extends BpelCompiler

  OASIS BPEL V2.0 Compiler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OASIS_EXPLANG_XPATH_1_0`
    `static java.lang.String` | `OASIS_EXPLANG_XPATH_2_0`
    `static java.lang.String` | `OASIS_EXPLANG_XQUERY_1_0`

    - ### Fields inherited from class org.apache.ode.bpel.compiler.BpelCompiler

      `__log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelCompiler20()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getBpwsNamespace()`
    `protected java.lang.String` | `getDefaultExpressionLanguage()`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.BpelCompiler

      `addWsdlImport, addXsdImport, compile, compile, compile, compileExpr, compileExpr, compileExpr, compileJoinCondition, compileLValueExpr, compileLValueExpr, compileSLC, compileXslt, constantExpr, getAccessibleVariables, getActivityStack, getBaseResourceURI, getCompileListener, getCurrent, getOProcess, getProcessDef, getSchemaSources, getSourceLocation, getVersion, getWsdlDefinitions, isPartnerLinkAssigned, recoveredFromError, registerActivityCompiler, registerExpressionLanguage, registerExpressionLanguage, resolveCompensatableScope, resolveCorrelationSet, resolveHeaderPart, resolveLink, resolveMessageType, resolveMessageVariable, resolveMessageVariable, resolveMyRoleOperation, resolvePart, resolvePartnerLink, resolvePartnerLinkType, resolvePartnerRoleOperation, resolvePortType, resolveProperty, resolvePropertyAlias, resolveVariable, resolveXsdType, setCompileListener, setCustomProperties, setResourceFinder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OASIS_EXPLANG_XPATH_1_0

          public static final java.lang.String OASIS_EXPLANG_XPATH_1_0

      See Also:
        Constant Field Values

    - #### OASIS_EXPLANG_XPATH_2_0

          public static final java.lang.String OASIS_EXPLANG_XPATH_2_0

      See Also:
        Constant Field Values

    - #### OASIS_EXPLANG_XQUERY_1_0

          public static final java.lang.String OASIS_EXPLANG_XQUERY_1_0

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BpelCompiler20

          public BpelCompiler20()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getBpwsNamespace

          protected java.lang.String getBpwsNamespace()

      Specified by:
        `getBpwsNamespace` in class `BpelCompiler`

    - #### getDefaultExpressionLanguage

          protected java.lang.String getDefaultExpressionLanguage()

      Specified by:
        `getDefaultExpressionLanguage` in class `BpelCompiler`